Name: mupdf
Summary: MuPDF -- PDF parsing, rendering and viewing toolkit.
Version: 2009_09_03_cvs
Release: 1
License: GPL 3 (or later)
Group: Productivity/Security
Source0: http://ccxvii.net/mupdf/download/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
URL: http://ccxvii.net/mupdf/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: zlib-devel, libjpeg-devel, freetype2-devel >= 2.3.5
BuildRequires: jasper-devel, jam

Requires: zlib, libjpeg, freetype2 >= 2.3.5, jasper

%description
MuPDF is a lightweight PDF viewer and toolkit written in portable C.

The renderer in MuPDF is tailored for high quality anti-aliased graphics. It renders text with metrics and spacing accurate to within fractions of a pixel for the highest fidelity in reproducing the look of a printed page on screen.

MuPDF has a small footprint. A binary that includes the standard Roman fonts is only one megabyte. A build with full CJK support (including an Asian font) is approximately five megabytes.

MuPDF has support for all non-interactive PDF 1.7 features, and the toolkit provides a simple API for accessing the internal structures of the PDF document. Example code for navigating interactive links and bookmarks, encrypting PDF files, extracting fonts, images, and searchable text, and rendering pages to image files is provided.


%prep
%setup -q
%patch0


%build
jam '-sBUILD=release' '-sHAVE_JASPER=yes' %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}

cd build/aix-ppc-release

for f in cmapdump fontdump mupdf pdfclean pdfdraw pdfextract pdfinfo pdfshow ; do
    cp ${f} ${RPM_BUILD_ROOT}%{_bindir}
done

chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING README
%{_bindir}/*
/usr/bin/*


%changelog
* Fri Sep 04 2009 Michael Perzl <michael@perzl.org> - 2009_09_03_cvs-1
- first version for AIX V5.1 and higher
